<div class="background-clouds">
  <svg id="cloud-1" class="background-cloud">
    <use href="#bg-cloud-1" />
  </svg>
  <svg id="cloud-2" class="background-cloud">
    <use href="#bg-cloud-2" />
  </svg>
  <svg id="cloud-3" class="background-cloud">
    <use href="#bg-cloud-3" />
  </svg>
  <svg id="cloud-4" class="background-cloud">
    <use href="#bg-cloud-4" />
  </svg>
</div>

<svg id="top-lace" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 7492 43">
  <use href="#lace" />
</svg>

<div class="clouds" aria-hidden="true" @cloudsAnimations>
  <svg id="top-left-cloud-svg">
    <use href="#top-left-cloud" />
  </svg>
  <svg id="top-right-cloud-svg">
    <use href="#top-right-cloud" />
  </svg>
</div>

<div class="strips" aria-hidden="true" @stripAnimations>
  <div class="strip-1 left"></div>
  <div class="strip-2 left"></div>
  <div class="strip-3 left"></div>
  <div class="strip-4 left"></div>
  <div class="strip-5 left"></div>

  <div class="strip-1 right"></div>
  <div class="strip-2 right"></div>
  <div class="strip-3 right"></div>
  <div class="strip-4 right"></div>
  <div class="strip-5 right"></div>
</div>

<div class="toolbar">
  <a routerLink="/" app-button class="back-to-home no-style" *ngIf="currentPage?.backHome" @backHome>
    <span class="visualy-hidden">{{ 'APP.HOME_LINK' | translate }}</span>
    <svg aria-hidden="true">
      <use xlink:href="#home" />
    </svg>
  </a>
  <div @toolbarItemAnimation *ngIf="currentPage && !currentPage.isHome" class="back-title-wrapper">
    <button back-button>{{ 'APP.BACK' | translate }}</button>
    <h1 @toolbarItemAnimation *ngIf="title.current"><span>{{ title.current | translate }}</span></h1>
  </div>
  <button menu-button (click)="toggleMenu()" [active]="isMenuOpened"></button>
  <app-dialog-attach #menuContainer></app-dialog-attach>
</div>

<main [@routeAnimations]="prepareRoute(outlet)">
  <router-outlet #outlet="outlet"></router-outlet>
</main>

<ng-template #menu>
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1172 2121">
    <defs>
      <style>
        .menu-cls-1 {
          fill: var(--menu-dialog-bg);
          transition: fill 330ms linear;
        }

        .menu-cls-2 {
          fill: none;
          stroke: #ab720d;
          stroke-miterlimit: 10;
          stroke-width: 4px;
        }

        .menu-cls-3 {
          fill: var(--primary-shadow);
          transition: fill 330ms linear;
        }

        .menu-cls-4 {
          fill: #fff;
          opacity: 0.42;
        }

        .menu-cls-5 {
          fill: var(--second-balloon);
          transition: fill 330ms linear;
        }

        .menu-cls-6 {
          fill: var(--third-balloon);
          transition: fill 330ms linear;
        }
      </style>
    </defs>
    <g id="menu">
      <path class="menu-cls-1"
        d="M1144,1565.5s-4.29-75.2-16-130c-2.34-11-5-21.5-5-21.5-3-11.78-5.12-18.77-6-22-3.09-11.34-3.22-22.76,6-82,1-6.36.91-5.68,4-25,.68-4.23,7.53-47,10-63,3.17-20.52,9.47-63.9,14-116,0,0,2.14-24.64,3-60,.62-25.43-.08-31.62-1-37-3.15-18.42-8.14-23-10-42-.55-5.68-.19-6.07,0-29,.13-15.73,0-20.75,0-36,0-59.1,1-147,1-147,.44-38.57,1.08-93.73,1.94-163.52-1.78-2.57-4.47-6.47-7.94-11.09-2.73-3.63-5.5-7.23-8.23-10.88-5-6.64-11.83-14.34-14.3-22.42a14.89,14.89,0,0,1-.63-3.36c-1.79-2.35-1.27-6.36,1.56-7.74,1.6-3.42,4.16-6.57,6.67-9.7,5.57-7,11.93-13.27,17.35-20.36a5.24,5.24,0,0,1,5.14-2C1145,393.75,1143.8,265.09,1142,115a90,90,0,0,0-90-90H136A89.74,89.74,0,0,0,72.36,51.36C46.6,77.13,46,109,46,115,103.92,211.5,101.35,260.5,87,287.5c-5.68,10.69-15.91,23-24,48-4,12.5-14,44.42-6,82,4.79,22.55,10.68,22,21,53,4.38,13.18,13.06,39.87,14,73,1.36,47.65-13.82,89.49-18,101a279.27,279.27,0,0,0-11,36,270.89,270.89,0,0,0-6,39c-.63,7.89-2.79,39.61,6,83,3.4,16.77,7,28.46,9,35,31.77,106.61,20,218.38,12,244-.37,1.18-3.68,11.59-8,26-1.57,5.23-4.14,13.84-7,24-3.94,14-7.34,27.14-9,34-6.68,27.59-9.23,52.9-11,71-3.26,33.38-5,50.07-3,70,1.66,16.64,5.11,29.43,12,55,10.14,37.63,14.94,44.86,23,74,5.79,20.92,12.47,45.12,15,77,4,50.4-4.87,89.12-7,98-6.53,27.18-10.48,26.07-21,65-6.17,22.84-11.67,43.18-14,70-2.7,31,.31,53.9,4,82,4.06,30.89,7.48,55.61,20,86,12.15,29.5,24.55,44.11,31,51a143.54,143.54,0,0,0,27,22.5c67.7-30.52,128.14-43.75,161-16.5,7.59,6.3,6.34,8.64,15,15,40.87,30,126.41,20.11,165-21,5.76-6.14,14.41-17.17,25-16,12.54,1.38,13.6,18.3,25,29,28.27,26.53,85.46-17.78,177-14,19.44.8,11.4,2.58,51,7,81.39,9.09,116.06,1.67,189,5a908.71,908.71,0,0,1,108,11.5,117.51,117.51,0,0,0,82-88,252,252,0,0,0,4-90.5s-1.87-16.93-3-51c-1.81-54.51,9.19-69.63,11-129C1146.71,1605.17,1145.59,1588.72,1144,1565.5Z" />
    </g>
    <g id="ballon">
      <path class="menu-cls-2" d="M1114,1408a882.42,882.42,0,0,0,25-93c23.48-111.18,57.64-272.89-20-392-45.34-69.56-88.25-62.36-114-129-28.64-74.11-2.77-153.35,23-208" />
      <path class="menu-cls-2"
        d="M1145,1598a620.23,620.23,0,0,1-22-86c-25.48-141,11.15-220.87,25-393,9.67-120.21,14.5-180.31-1-222-48.36-130-159.47-127.09-214-279-11.92-33.21-40.46-116.34,1-179,13.65-20.63,31.15-33.4,44-41" />
      <path class="menu-cls-2"
        d="M1079,777a265.85,265.85,0,0,0-5,60c2.64,84.22,44.43,104.18,62,172,25.64,99-32.61,172-30,296,1.56,73.94,14.72,94.52,25.6,148.07,7.27,35.85,9.88,61.2,12.4,106.93,6.57,119.13-16.48,119.5-8,217,5,58.12,4.53,81.74,2.72,96.94-.35,3-1.22,9.16-2.72,17.06a291.32,291.32,0,0,1-20,64" />
      <path class="menu-cls-2" d="M83,1086c-17.4,41.94-39.25,109.33-37,192,3.25,119.29,53.41,150.35,50,266-2.82,95.56-38.13,110.66-42,209-3.56,90.51,22.93,164.73,44.5,211.5" />
      <path class="menu-cls-2"
        d="M103,271c-19.14,21.46-42,54.15-48.16,97-8,55.5,19.67,76.05,32.46,136.89,22.73,108.09-42.58,147.23-28.93,266,4.45,38.68,16.86,82.28,43.75,129.13" />
      <path class="menu-cls-3"
        d="M59.81,265.73a182.86,182.86,0,0,1-40.62-67c-7.74-24-25.3-78.4,3-131.31,5.89-11,25-45.5,66.6-60.3,8.37-3,40.48-13.85,76.85.18,32,12.34,48,36.5,53.73,45.44,25,38.9,19.56,80.22,17.63,93.43C226.47,218.25,165.78,254,136,271.56c-20.22,11.92-35.63,15.88-50,12C78.18,281.47,70.76,277.07,59.81,265.73Z" />
      <path class="menu-cls-3"
        d="M94.27,279.3c-2.17.19-1.57,5.7-6.25,14.28-3.64,6.67-6.59,8.08-5.8,10.71,1.19,4,9.24,4.87,13.83,5.36,4.92.53,8.48.92,10-1.11,1.28-1.65.55-4-4-14.73C96.45,280.62,95.4,279.21,94.27,279.3Z" />
      <path class="menu-cls-4"
        d="M180.69,90.84c.74-5.68,10.13-11.19,17.64-9.88,12.3,2.13,21.5,22.85,14.12,33.16-5.5,7.68-19.8,9.09-24,4.24-2.78-3.23.64-7.17-2.11-15.53C184,95.7,180.2,94.65,180.69,90.84Z" />
      <path class="menu-cls-3"
        d="M430.83,2074c-1.55,1.35,2,5.21,3.18,14.34.94,7.09-.52,9.8,1.53,11.36,3.13,2.38,9.73-1.43,13.5-3.61,4-2.33,7-4,7-6.42.05-2-1.83-3.38-11.24-9C433.21,2073.78,431.63,2073.29,430.83,2074Z" />
      <path class="menu-cls-3"
        d="M399.86,2065.14c-24.86-14.22-37.22-21.44-51.71-34.5-24.63-22.23-43.57-39.33-46.06-65.89-.45-4.79-2.27-30.22,14.93-47.13,11-10.78,24.86-13.4,28.77-14.09,21.62-3.8,29.87,7.75,45,1.57,11.31-4.64,8.81-12,21.91-21.35,12.27-8.76,33-15.53,51.95-8.3,20.75,7.92,28.76,28.59,32.56,38.38,10.89,28.09,2.91,54.15-.59,65.6-1.56,5.1-2.7,7.62-26.93,48.75-22.88,38.83-28.21,47.37-38.64,49.13C426.51,2078.08,421.48,2077.51,399.86,2065.14Z" />
      <path class="menu-cls-4"
        d="M443.17,1902.22c-1.55-5.16,4.41-13.5,11.37-15.27,11.4-2.89,27.27,11.39,24.88,23.1-1.78,8.71-13.53,15.42-19,12.86-3.63-1.7-2.2-6.41-7.78-12.54C447.87,1905.14,444.21,1905.69,443.17,1902.22Z" />
      <path class="menu-cls-5"
        d="M52.35,1071.47a175.57,175.57,0,0,1-39.45-64c-7.6-23-24.82-75.08,2-126.06,5.57-10.61,23.69-43.85,63.5-58.34,8-2.92,38.77-13.58,73.77-.36,30.79,11.62,46.31,34.7,51.89,43.25,24.24,37.17,19.34,76.86,17.57,89.56-9.6,69.24-67.6,104-96,121-19.33,11.58-34.1,15.49-47.93,11.88C70.1,1086.45,62.94,1082.28,52.35,1071.47Z" />
      <path class="menu-cls-5"
        d="M82.66,1086.2c-2.08.2-1.47,5.48-5.9,13.75-3.45,6.43-6.27,7.8-5.5,10.32,1.17,3.82,8.9,4.6,13.31,5,4.73.48,8.15.82,9.63-1.14,1.22-1.59.5-3.88-4-14.11C84.76,1087.45,83.75,1086.1,82.66,1086.2Z" />
      <path class="menu-cls-4"
        d="M165.72,876.54c.66-5.45,9.64-10.8,16.86-9.6,11.82,2,20.79,21.78,13.78,31.73-5.22,7.41-18.94,8.87-23,4.23-2.7-3.07.56-6.88-2.14-14.88C168.91,881.19,165.27,880.21,165.72,876.54Z" />
      <path class="menu-cls-5"
        d="M140.38,2069a172.21,172.21,0,0,1-38.25-63.09c-7.29-22.58-23.82-73.83,2.82-123.67,5.54-10.37,23.56-42.85,62.72-56.79,7.89-2.8,38.13-13,72.38.17,30.12,11.62,45.19,34.37,50.6,42.8,23.52,36.63,18.43,75.55,16.61,88-9.91,67.87-67.06,101.56-95.08,118.08-19.05,11.23-33.56,15-47.11,11.32C157.69,2083.81,150.7,2079.66,140.38,2069Z" />
      <path class="menu-cls-5"
        d="M172.85,2081.76c-2,.18-1.48,5.37-5.89,13.45-3.43,6.28-6.21,7.61-5.47,10.09,1.12,3.76,8.7,4.58,13,5,4.63.51,8,.87,9.45-1,1.21-1.56.52-3.81-3.77-13.87C174.9,2083,173.91,2081.67,172.85,2081.76Z" />
      <path class="menu-cls-4"
        d="M242.58,1868.93c.07-5.38,8.26-11.56,15.43-11.16,11.74.66,22.6,19,16.81,29.5-4.3,7.77-17.53,10.65-22,6.57-3-2.72-.18-6.78-3.67-14.3C246.19,1873.13,242.54,1872.56,242.58,1868.93Z" />
      <path class="menu-cls-3"
        d="M1026,2082.28a172.15,172.15,0,0,0,58.35-45.15c14.91-18.46,48.74-60.35,41.77-116.43-1.45-11.67-6.61-48.46-38.15-75.52-6.36-5.45-30.9-25.87-67.62-25.83-32.28,0-54.52,15.85-62.59,21.78-35.11,25.75-44.32,63.89-47.09,76.16-15.12,66.9,26.13,118.87,46.35,144.34,13.75,17.32,26,26,39.9,27.48C1004.5,2089.91,1012.52,2088.55,1026,2082.28Z" />
      <path class="menu-cls-3"
        d="M991.09,2082.56c1.85.9-.55,5.54.67,14.67.94,7.09,3.06,9.33,1.48,11.37-2.4,3.11-9.77,1.15-14,0-4.51-1.2-7.76-2.06-8.45-4.37-.56-1.89.88-3.74,8.5-11.6C988.73,2083,990.13,2082.09,991.09,2082.56Z" />
      <path class="menu-cls-4"
        d="M1053.55,1858.13c-1.33-5.57,5.49-14.05,13-15.51,12.26-2.38,28.22,13.71,25,26-2.41,9.13-15.27,15.54-20.92,12.49-3.75-2-1.95-6.93-7.5-13.76C1058.36,1861.5,1054.44,1861.87,1053.55,1858.13Z" />
      <path class="menu-cls-5"
        d="M772.37,2058c-17.38-22.77-26-34.22-34.23-51.89-14-30.06-24.86-53.17-16.82-78.62,1.59-5,9.8-28.8,32.07-37.61,16.91-6.7,37.05-2.87,50.49,4.57,10.81,6,13.08,11.72,22.31,12.56,11.66,1,15.6-7.43,28.75-11.39,16.5-5,37.67.12,50.83,12.78,16,15.43,15.38,37.53,15.07,48-.88,30.12-18.36,51-26,60.21-3.42,4.1-5.45,6-43.76,34.45-36.18,26.88-44.41,32.67-54.7,30.25C791.89,2080.24,787.49,2077.76,772.37,2058Z" />
      <path class="menu-cls-5"
        d="M798.2,2073.34c-2.05-.18-2.37,5-8.08,12.26-4.44,5.61-7.4,6.45-7.09,9,.47,3.9,7.81,6,12,7.18,4.48,1.28,7.72,2.2,9.5.56,1.44-1.33,1.15-3.66-1.39-14.31C800,2074.9,799.26,2073.42,798.2,2073.34Z" />
      <path class="menu-cls-4"
        d="M865.22,1920.91c-1.35-5,4.86-13,11.84-14.67,11.43-2.72,26.67,11.13,23.88,22.41-2.08,8.39-14,14.8-19.34,12.3-3.55-1.66-2-6.19-7.28-12.13C869.78,1923.75,866.13,1924.27,865.22,1920.91Z" />
      <path class="menu-cls-6"
        d="M627.33,2088.29a172.44,172.44,0,0,0,56.31-47.68c14.07-19.11,46-62.46,36.57-118.17-2-11.6-8.73-48.12-41.45-73.76-6.59-5.17-32-24.48-68.68-22.82-32.26,1.46-53.77,18.25-61.58,24.52-33.93,27.28-41.45,65.8-43.68,78.17-12.14,67.51,31.36,117.6,52.69,142.16,14.5,16.69,27.08,24.84,41.08,25.68C606.21,2096.86,614.16,2095.15,627.33,2088.29Z" />
      <path class="menu-cls-6"
        d="M598.2,2092.76c1.88.82-.3,5.56,1.32,14.62,1.25,7,3.47,9.19,2,11.3-2.26,3.21-9.71,1.58-14,.65-4.55-1-7.84-1.71-8.63-4-.65-1.86.71-3.77,8-12C595.86,2093.28,597.22,2092.33,598.2,2092.76Z" />
      <path class="menu-cls-4"
        d="M639.54,1864.89c-1.19-5.25,5.31-13.18,12.38-14.47,11.57-2.11,26.44,13.2,23.26,24.72-2.35,8.57-14.53,14.48-19.82,11.55-3.51-1.94-1.77-6.54-6.92-13C644,1868.12,640.35,1868.42,639.54,1864.89Z" />
      <path class="menu-cls-6"
        d="M977.78,398.34c-2,.87.32,5.9-1.4,15.53-1.34,7.48-3.69,9.75-2.11,12,2.4,3.41,10.31,1.68,14.82.7,4.84-1.06,8.33-1.82,9.17-4.24.68-2-.76-4-8.48-12.7C980.26,398.9,978.82,397.89,977.78,398.34Z" />
      <path class="menu-cls-6"
        d="M956.73,405.13a183.06,183.06,0,0,1-72.79-29c-20.62-14.47-67.43-47.31-76.75-106.58-1.94-12.34-7.46-51.39,16.8-88.25,4.89-7.43,24-35.46,61.43-46.18,33-9.43,60.28.2,70.26,3.88,43.37,16,64,52.21,70.38,63.92,35,63.84,8.17,129-5,160.89-8.95,21.7-18.85,34.15-32.66,39.73C980.88,406.62,972.3,407.58,956.73,405.13Z" />
      <path class="menu-cls-4"
        d="M913.43,161.64c-3.57-4.47-1-15,5.14-19.56,10.08-7.37,31.37.4,33.67,12.87,1.7,9.28-7.2,20.56-13.62,20.21-4.25-.23-4.71-5.44-12.64-9.26C919.22,162.65,915.83,164.64,913.43,161.64Z" />
      <path class="menu-cls-3"
        d="M1005.51,584.6c1.9,1.6-2.32,5.8-3.65,16.08-1,8,.77,11.13-1.7,12.8-3.76,2.55-11.83-2.07-16.43-4.7-4.94-2.82-8.5-4.86-8.61-7.59-.09-2.23,2.17-3.74,13.5-9.65C1002.61,584.25,1004.52,583.77,1005.51,584.6Z" />
      <path class="menu-cls-3"
        d="M973.62,569.58a183,183,0,0,1-35-70.09c-5.74-24.53-18.79-80.19,13.73-130.61,6.77-10.5,28.66-43.31,71.31-54.65,8.59-2.29,41.47-10.5,76.57,6.46,30.87,14.91,44.84,40.3,49.83,49.69,21.71,40.81,12.94,81.54,9.94,94.55-16.39,71-79.79,101.65-110.88,116.69-21.13,10.23-36.81,12.92-50.83,7.89C990.64,586.77,983.6,581.78,973.62,569.58Z" />
      <path class="menu-cls-4"
        d="M1099.81,364.26c-.42-5.71,7.67-13,15.3-13.23,12.47-.37,25.64,18.07,20.48,29.66-3.84,8.62-17.56,12.88-22.65,9-3.38-2.59-.81-7.14-5.19-14.78C1104,368.36,1100.09,368.09,1099.81,364.26Z" />
      <path class="menu-cls-5"
        d="M1112,760.28A182.86,182.86,0,0,0,1146.73,690c5.64-24.55,18.45-80.28-14.3-130.56-6.81-10.46-28.84-43.17-71.54-54.33-8.6-2.25-41.52-10.31-76.55,6.8-30.8,15.05-44.66,40.49-49.61,49.9-21.53,40.91-12.58,81.61-9.52,94.6,16.7,70.89,80.24,101.3,111.39,116.2,21.17,10.14,36.87,12.76,50.86,7.67C1095.09,777.55,1102.11,772.52,1112,760.28Z" />
      <path class="menu-cls-5"
        d="M1078.87,776.77c2.18,0,2.05,5.54,7.46,13.69,4.2,6.33,7.26,7.48,6.71,10.17-.85,4.08-8.79,5.64-13.32,6.53-4.86,1-8.37,1.64-10.1-.24-1.42-1.54-.9-4,2.72-15C1076.81,778.27,1077.73,776.77,1078.87,776.77Z" />
      <path class="menu-cls-4"
        d="M1070.06,541.4c-.25-5.71,8.07-12.74,15.7-12.74,12.48,0,25.07,18.85,19.55,30.28-4.1,8.49-18,12.33-22.92,8.26-3.29-2.7-.59-7.17-4.73-14.94C1074.13,545.64,1070.22,545.25,1070.06,541.4Z" />
    </g>
  </svg>
  <div class="menu-content">
    <div class="language-switcher">
      <label class="visualy-hidden" for="language-switcher">
        {{ 'MENU.LANG.LABEL' | translate }}
      </label>
      <ng-select class="lang-select" [searchable]="false" [clearable]="false" labelForId="language-switcher" [formControl]="languageControl">
        <ng-option value="en">{{ 'MENU.LANG.ENGLISH' | translate }}</ng-option>
        <ng-option value="fr">{{ 'MENU.LANG.FRENCH' | translate }}</ng-option>
      </ng-select>
    </div>
    <div class="user-wrapper">
      <div class="anonymous-wrapper" *ngIf="!signedIn">
        <p class="text-center"><span class="kaomoji">ლ(ಥ﹏ಥლ)</span></p>
        <p [innerHTML]="'MENU.TEXT.ANNONYMOUS' | translate"></p>
        <ul>
          <li>
            <a [routerLink]="['/', 'sign-in']" [queryParams]="{redirect: currentPath}" app-button color="discreet" class="very-small no-shadow fw-normal" (click)="toggleMenu()"
              [replaceUrl]="replaceUrl">
              {{ 'MENU.LINKS.SIGN_IN' | translate }}
            </a>
          </li>
          <li>
            <a [routerLink]="['/', 'registration']" [queryParams]="{redirect: currentPath}" app-button color="discreet" class="very-small no-shadow fw-normal"
              (click)="toggleMenu()" [replaceUrl]="replaceUrl">
              {{ 'MENU.LINKS.REGISTRATION' | translate }}
            </a>
          </li>
        </ul>
      </div>
      <div class="signed-in-wrapper" *ngIf="signedIn">
        <div class="user">
          <p>{{ 'MENU.USER_CONNECTED' | translate }} <span class="username primary">{{ user?.preferred_username }}</span></p>
          <div class="layout align-center">
            <div class="user-picture-wrapper">
              <img src="/assets/images/signed-in.svg" alt="User signed picture" class="user-picture">
            </div>
            <ul class="user-actions">
              <li>
                <a [routerLink]="['/', 'profile']" app-button color="discreet" class="very-small no-shadow fw-normal" (click)="toggleMenu()" [replaceUrl]="replaceUrl">
                  {{ 'MENU.LINKS.PROFILE' | translate }}
                </a>
              </li>
              <li>
                <button app-button color="discreet" class="extra-small no-shadow fw-normal" (click)="userSignInService.signOut()">
                  {{ 'MENU.LINKS.SIGN_OUT' | translate }}
                </button>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <ul class="others">
      <li *ngFor="let other of others">
        <a [routerLink]="['/', other.path]" app-button color="primary" class="small" (click)="toggleMenu()" [replaceUrl]="replaceUrl">
          {{ other.data?.linkLabel | translate }}
        </a>
      </li>
    </ul>
    <ul class="theme-buttons">
      <li>
        <button theme-button theme="sweet">
          {{ 'APP.THEME.BUTTONS.SWEET' | translate }}
        </button>
      </li>
      <li>
        <button theme-button theme="gothic">
          {{ 'APP.THEME.BUTTONS.GOTHIC' | translate }}
        </button>
      </li>
      <li>
        <button theme-button theme="classic">
          {{ 'APP.THEME.BUTTONS.CLASSIC' | translate }}
        </button>
      </li>
    </ul>
  </div>
</ng-template>

<div class="tada-overlay" aria-hidden="true">
  <ng-template appTadaOverlay></ng-template>
</div>

<section *ngIf="inMaintenance && systemInfos" class="maintenance-wrapper" @maintenance>
  <div class="maintenance-content">
    <svg id="maintenance-cone" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 296.77 348.55">
      <defs>
        <style>
          .maintenance-cone-1,
          .maintenance-cone-12,
          .maintenance-cone-4,
          .maintenance-cone-6 {
            fill: var(--maintenance-cone-fill, #ce87b9);
          }

          .maintenance-cone-1,
          .maintenance-cone-12,
          .maintenance-cone-2,
          .maintenance-cone-3,
          .maintenance-cone-6,
          .maintenance-cone-7 {
            stroke: var(--maintenance-cone-stroke, #752282);
          }

          .maintenance-cone-1,
          .maintenance-cone-10,
          .maintenance-cone-11,
          .maintenance-cone-12,
          .maintenance-cone-2,
          .maintenance-cone-3,
          .maintenance-cone-6,
          .maintenance-cone-7,
          .maintenance-cone-9 {
            stroke-miterlimit: 10;
          }

          .maintenance-cone-1,
          .maintenance-cone-7 {
            stroke-width: 3px;
          }

          .maintenance-cone-2 {
            fill: var(--maintenance-cone-fill-2, #cb8ebe);
            stroke-width: 4px;
          }

          .maintenance-cone-3,
          .maintenance-cone-7,
          .maintenance-cone-9 {
            fill: none;
          }

          .maintenance-cone-3 {
            stroke-width: 9px;
          }

          .maintenance-cone-5 {
            clip-path: url(#maintenance-cone-clip-path);
          }

          .maintenance-cone-6 {
            stroke-width: 50px;
          }

          .maintenance-cone-10,
          .maintenance-cone-11,
          .maintenance-cone-8 {
            fill: var(--maintenance-cone-fill-3, #752282);
          }

          .maintenance-cone-9 {
            stroke: var(--maintenance-cone-stroke-2, #fff);
            stroke-width: 16px;
            opacity: 0.49;
          }

          .maintenance-cone-10,
          .maintenance-cone-11 {
            stroke: var(--maintenance-cone-stroke-3, #ce87b9);
          }

          .maintenance-cone-10,
          .maintenance-cone-12 {
            stroke-width: 3.34px;
          }

          .maintenance-cone-11 {
            stroke-width: 3.32px;
          }
        </style>
        <clipPath id="maintenance-cone-clip-path" transform="translate(9.77)">
          <path class="maintenance-cone-1" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" />
        </clipPath>
      </defs>
      <path class="maintenance-cone-2"
        d="M283.59,256.09a9.73,9.73,0,0,0-4.62-4.35l-125.29-65c-1.49.33-3.05.72-4.68,1.21a64.29,64.29,0,0,0-8,3L8.77,252a11.13,11.13,0,0,0-3.18,2.46A5.93,5.93,0,0,0,2,259.93v11.14a5.91,5.91,0,0,0,4.76,5.81l.32.2,125,66.75c6.6,3.52,17.36,3.64,23.91.25L280,280c3-1.54,4.59-3.56,4.84-5.63a5.51,5.51,0,0,0,.15-1.3V259.93A5.91,5.91,0,0,0,283.59,256.09Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-3" d="M50.5,260.5" transform="translate(9.77)" />
      <path class="maintenance-cone-4" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
      <g class="maintenance-cone-5">
        <path class="maintenance-cone-1" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
        <path class="maintenance-cone-6" d="M9.52,129.62c6.4,7.76,52.88,62.22,130.25,62.17,73.91,0,119.09-49.82,126.1-57.81" transform="translate(9.77)" />
        <path class="maintenance-cone-6" d="M56,38c18.72,32.65,54,52.08,91,50,53.48-3,79.55-49.31,81-52" transform="translate(9.77)" />
      </g>
      <path class="maintenance-cone-7" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
      <ellipse class="maintenance-cone-8" cx="153.27" cy="7.5" rx="16.5" ry="7.5" />
      <line class="maintenance-cone-9" x1="149.77" y1="15" x2="101.77" y2="270" />
      <path class="maintenance-cone-10"
        d="M196.89,321.05c14.27-.71,28.26-28.09,22.16-40-2.09-4.08-5.63-4.55-41.16-8.23-17.38-1.8-26.1-2.65-27.44,0-4.57,9.08,26.22,35.34,31.66,40C190.46,319.94,193.58,321.22,196.89,321.05Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M151.51,245.78c2.38-6.14,6.56-11.11,15.83-17.64,11.84-8.36,23.18-16.36,40.1-17.65,9.88-.75,25-1.87,31.66,8.24,3.84,5.81,2.21,15.63-1.06,35.28-4.52,27.21-9.63,31.52-11.61,32.93-2.3,1.65-5.41,3-17.94,2.36-25.05-1.26-48-8.36-55.59-20a25.5,25.5,0,0,1-3-6.7C147.66,255,150.64,248,151.51,245.78Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M90.05,322.36c-14.27-.71-28.26-28.09-22.16-40,2.09-4.08,5.63-4.56,41.16-8.24,17.38-1.8,26.1-2.65,27.44,0,4.57,9.08-26.22,35.35-31.66,40C96.48,321.25,93.36,322.53,90.05,322.36Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M135.43,247.09c-2.38-6.13-6.56-11.1-15.83-17.64-11.84-8.36-23.18-16.36-40.1-17.64-9.88-.75-25-1.88-31.66,8.23-3.84,5.82-2.21,15.64,1.06,35.28,4.52,27.22,9.63,31.52,11.61,32.94,2.3,1.65,5.41,3,17.94,2.35,25-1.26,48-8.35,55.59-20a25.87,25.87,0,0,0,3-6.71C139.28,256.32,136.31,249.34,135.43,247.09Z"
        transform="translate(9.77)" />
      <ellipse class="maintenance-cone-11" cx="155.51" cy="261.66" rx="16.47" ry="19.41" />
      <path class="maintenance-cone-12" d="M123.5,260.5c-.71,2.74-9.29,3-15,2-4.52-.78-12.06-3.16-12-6,.06-2.59,6.43-5.16,12-5C116.51,251.73,124.24,257.65,123.5,260.5Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-12" d="M170.55,260.5c.7,2.74,9.29,3,15,2,4.52-.78,12.06-3.16,12-6-.06-2.59-6.44-5.16-12-5C177.54,251.73,169.81,257.65,170.55,260.5Z"
        transform="translate(9.77)" />
    </svg>
    <svg id="maintenance-cone-2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 296.77 348.55">
      <defs>
        <style>
          .maintenance-cone-1,
          .maintenance-cone-12,
          .maintenance-cone-4,
          .maintenance-cone-6 {
            fill: var(--maintenance-cone-fill, #ce87b9);
          }

          .maintenance-cone-1,
          .maintenance-cone-12,
          .maintenance-cone-2,
          .maintenance-cone-3,
          .maintenance-cone-6,
          .maintenance-cone-7 {
            stroke: var(--maintenance-cone-stroke, #752282);
          }

          .maintenance-cone-1,
          .maintenance-cone-10,
          .maintenance-cone-11,
          .maintenance-cone-12,
          .maintenance-cone-2,
          .maintenance-cone-3,
          .maintenance-cone-6,
          .maintenance-cone-7,
          .maintenance-cone-9 {
            stroke-miterlimit: 10;
          }

          .maintenance-cone-1,
          .maintenance-cone-7 {
            stroke-width: 3px;
          }

          .maintenance-cone-2 {
            fill: var(--maintenance-cone-fill-2, #cb8ebe);
            stroke-width: 4px;
          }

          .maintenance-cone-3,
          .maintenance-cone-7,
          .maintenance-cone-9 {
            fill: none;
          }

          .maintenance-cone-3 {
            stroke-width: 9px;
          }

          .maintenance-cone-5 {
            clip-path: url(#maintenance-cone-clip-path-2);
          }

          .maintenance-cone-6 {
            stroke-width: 50px;
          }

          .maintenance-cone-10,
          .maintenance-cone-11,
          .maintenance-cone-8 {
            fill: var(--maintenance-cone-fill-3, #752282);
          }

          .maintenance-cone-9 {
            stroke: var(--maintenance-cone-stroke-2, #fff);
            stroke-width: 16px;
            opacity: 0.49;
          }

          .maintenance-cone-10,
          .maintenance-cone-11 {
            stroke: var(--maintenance-cone-stroke-3, #ce87b9);
          }

          .maintenance-cone-10,
          .maintenance-cone-12 {
            stroke-width: 3.34px;
          }

          .maintenance-cone-11 {
            stroke-width: 3.32px;
          }
        </style>
        <clipPath id="maintenance-cone-clip-path-2" transform="translate(9.77)">
          <path class="maintenance-cone-1" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" />
        </clipPath>
      </defs>
      <path class="maintenance-cone-2"
        d="M283.59,256.09a9.73,9.73,0,0,0-4.62-4.35l-125.29-65c-1.49.33-3.05.72-4.68,1.21a64.29,64.29,0,0,0-8,3L8.77,252a11.13,11.13,0,0,0-3.18,2.46A5.93,5.93,0,0,0,2,259.93v11.14a5.91,5.91,0,0,0,4.76,5.81l.32.2,125,66.75c6.6,3.52,17.36,3.64,23.91.25L280,280c3-1.54,4.59-3.56,4.84-5.63a5.51,5.51,0,0,0,.15-1.3V259.93A5.91,5.91,0,0,0,283.59,256.09Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-3" d="M50.5,260.5" transform="translate(9.77)" />
      <path class="maintenance-cone-4" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
      <g class="maintenance-cone-5">
        <path class="maintenance-cone-1" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
        <path class="maintenance-cone-6" d="M9.52,129.62c6.4,7.76,52.88,62.22,130.25,62.17,73.91,0,119.09-49.82,126.1-57.81" transform="translate(9.77)" />
        <path class="maintenance-cone-6" d="M56,38c18.72,32.65,54,52.08,91,50,53.48-3,79.55-49.31,81-52" transform="translate(9.77)" />
      </g>
      <path class="maintenance-cone-7" d="M128,6,52,250a164.35,164.35,0,0,0,185-1Q198.12,127.5,159.23,6A61.33,61.33,0,0,0,128,6Z" transform="translate(9.77)" />
      <ellipse class="maintenance-cone-8" cx="153.27" cy="7.5" rx="16.5" ry="7.5" />
      <line class="maintenance-cone-9" x1="149.77" y1="15" x2="101.77" y2="270" />
      <path class="maintenance-cone-10"
        d="M196.89,321.05c14.27-.71,28.26-28.09,22.16-40-2.09-4.08-5.63-4.55-41.16-8.23-17.38-1.8-26.1-2.65-27.44,0-4.57,9.08,26.22,35.34,31.66,40C190.46,319.94,193.58,321.22,196.89,321.05Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M151.51,245.78c2.38-6.14,6.56-11.11,15.83-17.64,11.84-8.36,23.18-16.36,40.1-17.65,9.88-.75,25-1.87,31.66,8.24,3.84,5.81,2.21,15.63-1.06,35.28-4.52,27.21-9.63,31.52-11.61,32.93-2.3,1.65-5.41,3-17.94,2.36-25.05-1.26-48-8.36-55.59-20a25.5,25.5,0,0,1-3-6.7C147.66,255,150.64,248,151.51,245.78Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M90.05,322.36c-14.27-.71-28.26-28.09-22.16-40,2.09-4.08,5.63-4.56,41.16-8.24,17.38-1.8,26.1-2.65,27.44,0,4.57,9.08-26.22,35.35-31.66,40C96.48,321.25,93.36,322.53,90.05,322.36Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-10"
        d="M135.43,247.09c-2.38-6.13-6.56-11.1-15.83-17.64-11.84-8.36-23.18-16.36-40.1-17.64-9.88-.75-25-1.88-31.66,8.23-3.84,5.82-2.21,15.64,1.06,35.28,4.52,27.22,9.63,31.52,11.61,32.94,2.3,1.65,5.41,3,17.94,2.35,25-1.26,48-8.35,55.59-20a25.87,25.87,0,0,0,3-6.71C139.28,256.32,136.31,249.34,135.43,247.09Z"
        transform="translate(9.77)" />
      <ellipse class="maintenance-cone-11" cx="155.51" cy="261.66" rx="16.47" ry="19.41" />
      <path class="maintenance-cone-12" d="M123.5,260.5c-.71,2.74-9.29,3-15,2-4.52-.78-12.06-3.16-12-6,.06-2.59,6.43-5.16,12-5C116.51,251.73,124.24,257.65,123.5,260.5Z"
        transform="translate(9.77)" />
      <path class="maintenance-cone-12" d="M170.55,260.5c.7,2.74,9.29,3,15,2,4.52-.78,12.06-3.16,12-6-.06-2.59-6.44-5.16-12-5C177.54,251.73,169.81,257.65,170.55,260.5Z"
        transform="translate(9.77)" />
    </svg>
    <h1><span class="kaomoji">(^～^)ノ</span> {{ 'APP.MAINTENANCE.TITLE' | translate }}</h1>
    <p *ngIf="systemInfos.estimatedDuration" [innerHTML]="'APP.MAINTENANCE.FIRST_P' | translate:{ estimatedDuration: systemInfos.estimatedDuration / 60 / 60 }"></p>
    <p *ngIf="!systemInfos.estimatedDuration" [innerHTML]="'APP.MAINTENANCE.FIRST_P_ALTERNATE' | translate"></p>
    <svg id="maintenance-bunny" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 314.15 586.19">
      <defs>
        <style>
          .maintenance-bunny-1 {
            fill: var(--maintenance-bunny-fill, #cb8ebe);
          }

          .maintenance-bunny-2 {
            fill: var(--maintenance-bunny-fill-2, #752282);
          }

          .maintenance-bunny-3 {
            fill: var(--maintenance-bunny-fill-3, #fff);
          }

          .maintenance-bunny-4 {
            fill: none;
            stroke: var(--maintenance-bunny-stroke, #752282);
            stroke-linecap: round;
            stroke-miterlimit: 10;
            stroke-width: 3px;
          }

          .maintenance-bunny-5 {
            fill: #e0e375;
          }

          .maintenance-bunny-6 {
            fill: #f0d347;
          }
        </style>
      </defs>
      <path class="maintenance-bunny-1"
        d="M32,266c1.91-14.76,11.39-17.37,16-39,1.94-9.08.22-8.43,2-17,4.64-22.34,18.46-37.19,24-43,15.12-15.85,30.25-12.55,33-23,2.14-8.13-4.32-16.93-10-23q-2-12-4-24a98.56,98.56,0,0,1-4-36c.76-9.94,2.44-28.55,16-44,5.79-6.59,10.77-12.26,17-12,12.82.54,20,25.78,31,54,13.79,35.48,40.25,93.3,51,91,10.25-2.19-9-55.76,21-98,19-26.75,56.5-47.3,77-36,9.33,5.15,12.61,15.49,15,23,13,41-20.33,86.29-26,94-2.23,3-7.4,9.8-14,20-15.47,23.91-16.72,32.54-17,37-.34,5.36.75,4.17,2,20,.87,11.08-.24,19.59,1,25,.79,3.46,6.46,29.59-3,51-10.37,23.48-35.26,33-38,34a75.65,75.65,0,0,1-10.85,3c-11.4,1.77-20.87-1.66-63.15,2-9.09.79-20.14,1.94-35,0-9-1.17-22.6-3.07-32-11-8.78-7.4-12-12-12-12-2.29-3.44-2.87-5.16-5-6-5.53-2.16-10.27,6.48-16,6C39.75,301.31,29.79,283.13,32,266Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-1"
        d="M225,298c7.81,6.66,11.54,14.11,19,29,7.14,14.27,32.64,63,26,119-1.62,13.65-4.82,25,2,36,7.65,12.3,19.84,11.1,27,25,.54,1.06,7.75,15.6,1,29-6.9,13.69-23.88,17.3-34,17-9.6-.28-9.49-4-17-4-19.5-.09-23.28,24.69-47,31-9.95,2.65-18.46.69-35-3-17.44-3.89-20.22-8.09-34-12-25.85-7.32-49.5-2-58,0-28.8,6.81-39.53,20.71-52,14-6.88-3.7-11.92-12.4-10-18,2.56-7.47,15.82-4.4,21-12,6.31-9.25-7.86-21.87-15-46-7.4-25-5.3-55.63,5-79,4.07-9.24,8.85-16,14-32,4.58-14.19,4.59-20.6,7-29,6.28-21.91,22.51-35.43,34-45C117,286.35,188.36,266.79,225,298Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M67,330c-1.25-.91-26.43,27.84-22,33,2.81,3.28,15.61-5.15,18-2,3.36,4.44-18.5,25.06-16,28s24.29-13.87,28-10c3.35,3.49-11.13,20.52-7,25,2.86,3.11,11.52-3.22,15,0,5.43,5-9.76,25.81-5,30,4.07,3.59,20.42-7,22-8,7.22-4.66,7.66-6.81,11-7,10.32-.57,16.65,19.41,22,18,5.78-1.51,1.87-25.71,9-28,4.91-1.57,10.79,8.6,14,7,5.2-2.58-6.65-30.91,0-35,4.7-2.89,14,9.22,20,6,5-2.69,3.83-14.07,3-22-1.84-17.58-8.38-32.45-10-32-2.67.76,10.4,42.46,1,47-5.63,2.72-14.86-10-20-7-6.77,4,2.84,29.94-2,32-3.35,1.43-9.43-10.39-14-9-6.45,2-2.56,28.08-7,29-4,.83-9.67-19.76-16-19-2.52.31-2.74,3.72-7,9-5.94,7.38-15.38,13-18,11-3.77-2.85,8.6-20,3-26-3.75-4-11.93.87-15-3-4.41-5.55,8.4-20.77,5-24-2.7-2.55-12.35,5.5-15,3-3.6-3.38,10.46-21.78,7-25-2.61-2.42-12.49,6.29-15,4C52.45,351.78,68,330.76,67,330Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M227,379c.06-2.56,0-10.63,2-11s5.37,8.32,6,10c11.39,30.46-81.7,139.89-91,133-2.53-1.87,1.37-12.19-1-13-2.69-.91-8.51,12.07-12,11-2.71-.83-1.48-9.38-4-10s-4.83,8-8,8c-5.49-.06-10.51-26.29-11-51-.28-14,2-29,3-29,.53,0,.79,4.26,1,8,2.1,37.27,1.87,59.92,7,61,3.16.67,6.58-7.21,10-6,3.06,1.09,1.95,8,5,9,3.5,1.17,7.65-7,11-6s1.16,10.44,4,12c6.87,3.78,38.83-40.8,59-77C225.73,396.19,226.88,384.26,227,379Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M43,393c2.44-19.38,6.34-32.57,5-33s-6.08,10.86-8,16C19.86,429.94,58.75,505.7,61,505c.62-.19-1.06-6.43,1-7.38,2.45-1.11,6.76,6.52,11,5.38,2.52-.68,2.49-3.84,5-4.38,3.41-.73,5.37,4.55,8,4.38,4.56-.29,7-17.09,11-49,1.94-15.32,3-23.81,2-24-.77-.15-2.49,5.21-3,7-7.94,27.65-4.36,57.28-10,58.62-3,.72-6.56-7.23-10-6-3.06,1.09-2,8-5,9-3.59,1.2-8.53-7.23-11-6-1.67.83-.51,5.25-1,5.38-1.5.4-18.42-34.4-18-76A290.39,290.39,0,0,1,43,393Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2" d="M-56,309" transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M47.71,244c-.37-.32-19.44,10.18-19.71,29-.21,14.51,10.82,29,19.71,29,4.66,0,8.26-3.87,13.59-2a12.23,12.23,0,0,1,5.82,5c5.42,7.67,15.42,15.85,23.3,20h0c10.49,3.5,20-2.66,23.58-5,13.66-8.86,18.07-25.36,17-26s-6.3,11.49-21,21c-6.24,4-9.37,6.06-13.75,6-10.61-.15-23.41-11.62-28.16-22-.56-1.22-1.49-3.62-3.88-5-4.95-2.86-9.75,1.66-15.53,1-8.43-1-16.2-12.77-16.68-23C31.25,256.13,48.07,244.33,47.71,244Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M138,322c-.11,1,5,2.69,9.56,3.14A28.07,28.07,0,0,0,154,325c8.42-1.11,9.95-4.81,14-4,4.32.87,3.58,5.28,9,8,5.67,2.86,12.12.88,15,0,8.59-2.62,7.64-6.83,14-8,7.8-1.43,11.45,4.49,20,2a22.85,22.85,0,0,0,6-3,48.29,48.29,0,0,0,14-13c9.35-13.4,6.46-32,6-32-.29,0,.55,7.22-3,17-1.63,4.48-6,16.49-18,23-4.4,2.39-9.23,5-15,4-6.25-1.09-10-5.8-15-4-1.52.55-1.47,1.1-4,3-2,1.54-8.4,6.31-14,6-6.73-.37-6.85-7.78-14-9-5.06-.86-6.15,2.66-16,5C144.15,322.11,138.12,320.9,138,322Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2" d="M230,432c-1.7-1.65-35.68,18-48,55-10.42,31.33-1,62.08,1,62,1.73-.06-2.69-23,6-52C201.57,455.1,231.67,433.62,230,432Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M27,413c-1.67-.56-21.23,27.88-20,64,1.52,44.77,34.17,78,36,77,1.16-.63-8.83-15.65-17-46-3-11-6.25-23.47-7-39C17.4,436,28.45,413.49,27,413Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M178,551c-.79-1.25-18.89,3.8-22,17-.46,2-1,4.41,0,7,3.91,9.8,26,9.89,40,7,12.72-2.62,21.29-8.22,21-9-.45-1.21-22.18,9.94-44,3-8.65-2.75-9.75-5.93-10-7C161.18,561.16,178.83,552.32,178,551Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M31,553c-.43-.8-17.74,1.45-20,13-1.67,8.54,6,16.36,13,19,13,4.92,26.41-7,26-8s-16.15,8.62-27,2c-3.53-2.15-7.18-6.42-7-11C16.36,559,31.42,553.79,31,553Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M242,537c12.81,7.34,19.22,11,23,12,12.71,3.36,25.18-7.28,26-8,2-1.77,11.07-9.7,11-22-.06-10.18-6.34-17.2-8-19-14.42-15.63-40-10.8-40-13s27.86-12,43,2c9.4,8.72,11.42,24.33,10,25-.65.31-2.24-2.38-3-2-1.16.58,1.93,7,3,15,1.15,8.58-.12,18.4-3,19s-6.07-7.69-8-7c-2.31.84,1.6,13-2,15-3.14,1.75-8.82-6-13-4-2.94,1.4-1.55,5.91-5,8-2.32,1.41-5.21.61-11-1a49.55,49.55,0,0,1-10-4,45.17,45.17,0,0,1-9-6c-5.3-4.59-9.94-11-9-12C237.54,534.42,239.79,535.74,242,537Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M137,154c-2,2.27-31.24-10.16-45-37C67.77,69.74,102.78-.56,124,0c14.09.38,24.33,32.06,34,62,13.4,41.48,12.76,73.91,12,74-.94.12-6.93-49.47-32-106-7-15.82-10.92-21.79-16-22-14.35-.59-36.91,44.7-28,84C102.77,130.69,139.28,151.37,137,154Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2" d="M140,237c-2-9,11.26-21.62,25-25,9.91-2.43,26-1.52,33,10,4.3,7.05,4.94,17.57,0,24C186.09,261.51,143.23,251.24,140,237Z"
        transform="translate(-6.94 0)" />
      <circle class="maintenance-bunny-3" cx="177.56" cy="227.5" r="8.5" />
      <circle class="maintenance-bunny-3" cx="150.56" cy="229.5" r="8.5" />
      <ellipse class="maintenance-bunny-3" cx="170.63" cy="242.16" rx="5.53" ry="5.66" transform="translate(-77.1 69.59) rotate(-19.2)" />
      <path class="maintenance-bunny-2" d="M60.27,269.18c-1,.16,4.89,20.88,4.89,20.88S89.45,280,88.87,279s-21.36,4.55-21.36,4.55S61.12,269.05,60.27,269.18Z"
        transform="translate(-6.94 0)" />
      <line class="maintenance-bunny-4" x1="60.06" y1="285" x2="56.56" y2="295.5" />
      <path class="maintenance-bunny-2" d="M45,265" transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M104,150a147.1,147.1,0,0,1,23-13c-.19-.39-48.37,10.55-70,47-13.55,22.84-11.86,47.55-10,48,2.14.52,4.92-31.14,29-58C86.68,162.09,100.24,152.58,104,150Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-5"
        d="M83.37,146.42a37.3,37.3,0,0,1-1.28-13.37c1.81-33.15,38.8-69.22,81.46-76.57,4.46-.77,54-8.27,85.75,25.8,28.71,30.79,32.64,83.26,14.64,96.21-7.06,5.08-12.59.84-34.86,0-37.89-1.43-47.18,9.89-72.51,9.06C129.43,186.66,91,172,83.37,146.42Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-6"
        d="M142.63,83c-3.55-.67-9.19-2.77-9.76-6.27-.48-3,2.85-6,8.37-9.76,13.44-9.07,27.26-18.4,46-16,6.68.85,11.66,3.12,21.61,7.67,13.83,6.33,28.92,15.81,27.89,18.13-1.52,3.44-33.43-20.08-60.65-8.37C163.24,73.86,155.48,85.43,142.63,83Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-6"
        d="M93.13,131.08c-.74-.31,6.08-43.8,39-69a85.51,85.51,0,0,1,46-17.43c6.29-.4,32.8-1.38,55.77,16.73,28.67,22.61,31.51,58.94,30.68,59.26s-5.86-35-33.47-52.29c-16.21-10.17-37-12.1-41.83-12.55-11.75-1.09-19.2.21-21.61.7-2.56.52-12.57,2.71-25.1,10.46-3.26,2-17,10.77-31.37,30.68C97.59,116.51,93.57,131.26,93.13,131.08Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-6"
        d="M121,140.14c1.4,1,30.12-61.59,73.9-64.14a71.83,71.83,0,0,1,47.41,14.64,60,60,0,0,1,9,9.83c21.67,29.39,9.56,71.42,11.87,71.74,2.12.29,17.05-34.06,2.09-66.23a63.92,63.92,0,0,0-11.15-16.73c-17.7-18.8-45.6-23.64-65.54-20.22C139.52,77.45,119.74,139.26,121,140.14Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-5"
        d="M93.83,126.9c-17.79,3.54-30,8.72-35.56,19.52-7.46,14.47,1,31.3,1.4,32.07,15.29,29.39,66,28.68,73.2,28.58,22.72-.31,47.06-7.22,68.32-13.24,14.11-4,19.48-6.37,29.29-5.58C252,190,263.12,204.4,273,198.71c5.05-2.91,7.26-9.61,7-14.64-.7-12.14-16.31-20.33-27.89-25.8C212.67,139.64,158.48,114,93.83,126.9Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-6"
        d="M68.73,135.26c.45.27-3.42,5.37-5.58,14a50.69,50.69,0,0,0,0,24.4c4.74,16.63,32.18,26.41,54.38,28.58,56.15,5.5,82.36-37.24,117.13-20.91,12.65,5.94,26,19.49,33.46,14.64,3.28-2.13,4.8-7.36,4.88-11.16.18-8.34-6.56-13.69-5.57-14.64s9.62,3,11.85,10.46c2.63,8.79-4.41,19.93-12.55,22.31-8.8,2.57-17.13-5.6-23.71-9.76-33.12-21-73.17,27-129.67,17.43C83.53,205.51,52.4,185,52,164.54,51.7,149.56,67.92,134.77,68.73,135.26Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-6"
        d="M114.74,167.33c-21.4-11.52-27.88-28.58-27.88-28.58-1.52-4-2.77-9.19-4.19-9.06-2,.18-4.37,11.51-2.09,20.21,4.14,15.76,24.43,26.84,42.53,29.28,23.41,3.16,29.29-10,72.51-13.94a147.2,147.2,0,0,1,23.82-.46c23.58,1.53,40.38,8.6,40.32,8.83s-31.09-18.39-71.81-16C150.13,159.76,135.13,178.3,114.74,167.33Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-1"
        d="M218,136c-5.79-23.36-11.23-72.82,13-85,12.35-6.2,26.75.13,31,2,25.2,11.09,39.71,43.92,33,72-7.14,29.89-38.38,54.67-57,48C226.11,168.75,222.13,152.67,218,136Z"
        transform="translate(-6.94 0)" />
      <path class="maintenance-bunny-2"
        d="M221,157.9C216.84,158,190.85,84,231.14,38.33,248.41,18.75,281.49.26,302.39,11.7c24.74,13.54,20.58,62.62,12.14,90.19C298.27,155,249.59,182.18,247.37,180s41.1-35.43,58.64-97.8c4-14.07,14.26-50.72-1.24-62.28-11.66-8.69-34.51-.66-48.93,10.29C207.57,66.86,225.55,157.77,221,157.9Z"
        transform="translate(-6.94 0)" />
    </svg>
    <p [innerHTML]="'APP.MAINTENANCE.LAST_P' | translate:{ url: 'https://www.facebook.com/groups/my.everyday.lolita' }"></p>
    <svg id="maintenance-barier" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 701.96 488">
      <defs>
        <style>
          .maintenance-barier-1 {
            fill: none;
          }

          .maintenance-barier-2 {
            fill: #bcb5b5;
            stroke: var(--maintenance-barier-stroke, #752282);
            stroke-miterlimit: 10;
            stroke-width: 4px;
          }

          .maintenance-barier-3 {
            fill: var(--maintenance-barier-fill, #752282);
          }

          .maintenance-barier-4 {
            fill: var(--maintenance-barier-fill-2, #ce87b9);
          }

          .maintenance-barier-5 {
            clip-path: url(#clip-path);
          }

          .maintenance-barier-6 {
            fill: var(--maintenance-barier-fill-3, #cb8ebe);
          }

          .maintenance-barier-7 {
            clip-path: url(#clip-path-2);
          }

          .maintenance-barier-8 {
            fill: var(--maintenance-barier-fill-4, #e4bad8);
          }
        </style>
        <clipPath id="clip-path" transform="translate(102.38)">
          <rect class="maintenance-barier-1" x="1" y="146" width="516" height="84" />
        </clipPath>
        <clipPath id="clip-path-2" transform="translate(102.38)">
          <rect class="maintenance-barier-1" y="273" width="516" height="84" />
        </clipPath>
      </defs>
      <rect class="maintenance-barier-2" x="132.38" y="17" width="43" height="469" />
      <rect class="maintenance-barier-2" x="549.38" y="17" width="43" height="469" />
      <circle class="maintenance-barier-3" cx="154.38" cy="52" r="52" />
      <circle class="maintenance-barier-4" cx="154.38" cy="51.5" r="36.5" />
      <circle class="maintenance-barier-3" cx="141.63" cy="43.65" r="12.75" />
      <circle class="maintenance-barier-3" cx="167.13" cy="43.65" r="12.75" />
      <path class="maintenance-barier-3" d="M50.6,77C26.81,53.87,25.85,46.75,27.47,44.14s6.69-1,24.58-1c18.32.06,23.5-1.71,25.06,1C79,47.43,74.63,55.83,50.6,77Z"
        transform="translate(102.38)" />
      <circle class="maintenance-barier-3" cx="571.38" cy="52" r="52" />
      <circle class="maintenance-barier-4" cx="571.38" cy="51.5" r="36.5" />
      <circle class="maintenance-barier-3" cx="558.63" cy="43.65" r="12.75" />
      <circle class="maintenance-barier-3" cx="584.13" cy="43.65" r="12.75" />
      <path class="maintenance-barier-3" d="M467.6,77c-23.79-23.13-24.75-30.25-23.13-32.86s6.69-1,24.58-1c18.32.06,23.5-1.71,25.06,1C496,47.43,491.63,55.83,467.6,77Z"
        transform="translate(102.38)" />
      <g class="maintenance-barier-5">
        <rect class="maintenance-barier-3" x="37.05" y="84.59" width="56.1" height="196" transform="translate(255.42 9.84) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="106.05" y="95.59" width="56.1" height="196" transform="translate(285.01 -36.86) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="272.05" y="92.59" width="56.1" height="196" transform="translate(334.78 -158.41) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="424.05" y="99.59" width="56.1" height="196" transform="translate(387.43 -266.67) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="190.05" y="92.59" width="56.1" height="196" transform="translate(309.11 -98.83) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="351.05" y="93.59" width="56.1" height="196" transform="translate(360.22 -215.5) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="481.05" y="117.59" width="56.1" height="196" transform="translate(418.35 -302.45) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="-38.95" y="85.59" width="56.1" height="196" transform="translate(232.36 65.37) rotate(46.6)" />
      </g>
      <g class="maintenance-barier-7">
        <rect class="maintenance-barier-3" x="36.05" y="211.59" width="56.1" height="196" transform="translate(347.39 50.31) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="105.05" y="222.59" width="56.1" height="196" transform="translate(376.97 3.61) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="271.05" y="219.59" width="56.1" height="196" transform="translate(426.74 -117.94) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="423.05" y="226.59" width="56.1" height="196" transform="translate(479.4 -226.19) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="189.05" y="219.59" width="56.1" height="196" transform="translate(401.08 -58.36) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="350.05" y="220.59" width="56.1" height="196" transform="translate(452.19 -175.03) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="480.05" y="244.59" width="56.1" height="196" transform="translate(510.31 -261.98) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="-39.95" y="212.59" width="56.1" height="196" transform="translate(324.33 105.84) rotate(46.6)" />
      </g>
      <ellipse class="maintenance-barier-8" cx="154.38" cy="56" rx="10" ry="16" />
      <ellipse class="maintenance-barier-8" cx="571.38" cy="56" rx="10" ry="16" />
    </svg>
    <svg id="maintenance-barier-2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 701.96 488">
      <defs>
        <style>
          .maintenance-barier-1 {
            fill: none;
          }

          .maintenance-barier-2 {
            fill: #bcb5b5;
            stroke: var(--maintenance-barier-stroke, #752282);
            stroke-miterlimit: 10;
            stroke-width: 4px;
          }

          .maintenance-barier-3 {
            fill: var(--maintenance-barier-fill, #752282);
          }

          .maintenance-barier-4 {
            fill: var(--maintenance-barier-fill-2, #ce87b9);
          }

          .maintenance-barier-5 {
            clip-path: url(#clip-path);
          }

          .maintenance-barier-6 {
            fill: var(--maintenance-barier-fill-3, #cb8ebe);
          }

          .maintenance-barier-7 {
            clip-path: url(#clip-path-2);
          }

          .maintenance-barier-8 {
            fill: var(--maintenance-barier-fill-4, #e4bad8);
          }
        </style>
        <clipPath id="clip-path" transform="translate(102.38)">
          <rect class="maintenance-barier-1" x="1" y="146" width="516" height="84" />
        </clipPath>
        <clipPath id="clip-path-2" transform="translate(102.38)">
          <rect class="maintenance-barier-1" y="273" width="516" height="84" />
        </clipPath>
      </defs>
      <rect class="maintenance-barier-2" x="132.38" y="17" width="43" height="469" />
      <rect class="maintenance-barier-2" x="549.38" y="17" width="43" height="469" />
      <circle class="maintenance-barier-3" cx="154.38" cy="52" r="52" />
      <circle class="maintenance-barier-4" cx="154.38" cy="51.5" r="36.5" />
      <circle class="maintenance-barier-3" cx="141.63" cy="43.65" r="12.75" />
      <circle class="maintenance-barier-3" cx="167.13" cy="43.65" r="12.75" />
      <path class="maintenance-barier-3" d="M50.6,77C26.81,53.87,25.85,46.75,27.47,44.14s6.69-1,24.58-1c18.32.06,23.5-1.71,25.06,1C79,47.43,74.63,55.83,50.6,77Z"
        transform="translate(102.38)" />
      <circle class="maintenance-barier-3" cx="571.38" cy="52" r="52" />
      <circle class="maintenance-barier-4" cx="571.38" cy="51.5" r="36.5" />
      <circle class="maintenance-barier-3" cx="558.63" cy="43.65" r="12.75" />
      <circle class="maintenance-barier-3" cx="584.13" cy="43.65" r="12.75" />
      <path class="maintenance-barier-3" d="M467.6,77c-23.79-23.13-24.75-30.25-23.13-32.86s6.69-1,24.58-1c18.32.06,23.5-1.71,25.06,1C496,47.43,491.63,55.83,467.6,77Z"
        transform="translate(102.38)" />
      <g class="maintenance-barier-5">
        <rect class="maintenance-barier-3" x="37.05" y="84.59" width="56.1" height="196" transform="translate(255.42 9.84) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="106.05" y="95.59" width="56.1" height="196" transform="translate(285.01 -36.86) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="272.05" y="92.59" width="56.1" height="196" transform="translate(334.78 -158.41) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="424.05" y="99.59" width="56.1" height="196" transform="translate(387.43 -266.67) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="190.05" y="92.59" width="56.1" height="196" transform="translate(309.11 -98.83) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="351.05" y="93.59" width="56.1" height="196" transform="translate(360.22 -215.5) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="481.05" y="117.59" width="56.1" height="196" transform="translate(418.35 -302.45) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="-38.95" y="85.59" width="56.1" height="196" transform="translate(232.36 65.37) rotate(46.6)" />
      </g>
      <g class="maintenance-barier-7">
        <rect class="maintenance-barier-3" x="36.05" y="211.59" width="56.1" height="196" transform="translate(347.39 50.31) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="105.05" y="222.59" width="56.1" height="196" transform="translate(376.97 3.61) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="271.05" y="219.59" width="56.1" height="196" transform="translate(426.74 -117.94) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="423.05" y="226.59" width="56.1" height="196" transform="translate(479.4 -226.19) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="189.05" y="219.59" width="56.1" height="196" transform="translate(401.08 -58.36) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="350.05" y="220.59" width="56.1" height="196" transform="translate(452.19 -175.03) rotate(46.6)" />
        <rect class="maintenance-barier-3" x="480.05" y="244.59" width="56.1" height="196" transform="translate(510.31 -261.98) rotate(46.6)" />
        <rect class="maintenance-barier-6" x="-39.95" y="212.59" width="56.1" height="196" transform="translate(324.33 105.84) rotate(46.6)" />
      </g>
      <ellipse class="maintenance-barier-8" cx="154.38" cy="56" rx="10" ry="16" />
      <ellipse class="maintenance-barier-8" cx="571.38" cy="56" rx="10" ry="16" />
    </svg>
  </div>
</section>
